All of lore.kernel.org
 help / color / mirror / Atom feed
* [PATCH net-next] selftests: net: fib_rule_tests: add support to run individual tests
@ 2022-05-30 18:12 Alaa Mohamed
  2022-05-31 22:43 ` Roopa Prabhu
  0 siblings, 1 reply; 2+ messages in thread
From: Alaa Mohamed @ 2022-05-30 18:12 UTC (permalink / raw)
  To: netdev
  Cc: outreachy, roopa, davem, edumazet, kuba, pabeni, linux-kselftest,
	linux-kernel, eng.alaamohamedsoliman.am

add -t option to run individual tests in the test with -t option

Signed-off-by: Alaa Mohamed <eng.alaamohamedsoliman.am@gmail.com>
---
 tools/testing/selftests/net/fib_rule_tests.sh | 23 +++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/tools/testing/selftests/net/fib_rule_tests.sh b/tools/testing/selftests/net/fib_rule_tests.sh
index bbe3b379927a..c245476fa29d 100755
--- a/tools/testing/selftests/net/fib_rule_tests.sh
+++ b/tools/testing/selftests/net/fib_rule_tests.sh
@@ -303,6 +303,29 @@ run_fibrule_tests()
 	log_section "IPv6 fib rule"
 	fib_rule6_test
 }
+################################################################################
+# usage
+
+usage()
+{
+	cat <<EOF
+usage: ${0##*/} OPTS
+
+        -t <test>   Test(s) to run (default: all)
+                    (options: $TESTS)
+EOF
+}
+
+################################################################################
+# main
+
+while getopts ":t:h" opt; do
+	case $opt in
+		t) TESTS=$OPTARG;;
+		h) usage; exit 0;;
+		*) usage; exit 1;;
+	esac
+done
 
 if [ "$(id -u)" -ne 0 ];then
 	echo "SKIP: Need root privileges"
-- 
2.25.1


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2022-05-31 22:43 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2022-05-30 18:12 [PATCH net-next] selftests: net: fib_rule_tests: add support to run individual tests Alaa Mohamed
2022-05-31 22:43 ` Roopa Prabhu

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.